VCMD0028040000000000COMPONENT          
Node "rSimResource"
{
Name "Robot_Controller"
Id 1
NodeClass 
{
Id 1
Feature "rPrimitiveBoxFeature"
{
Name "Block"

Visible 1
Length 
{
  Expression "500"
}

Width 
{
  Expression "200"
}

Height 
{
  Expression "500"
}

}
SimAttribute "rSimApplyMaterialAttribute"
{
Material  "dark_grey_matte"
{
  Ambient
  {
    Red 0.0874999985098839
    Green 0.0874999985098839
    Blue 0.0874999985098839
  }
  Diffuse
  {
    Red 0.349999994039536
    Green 0.349999994039536
    Blue 0.349999994039536
  }
  Specular
  {
    Color
    {
      Red 0.174999997019768
      Green 0.174999997019768
      Blue 0.174999997019768
    }
    Shininess 0.0599999986588955
  }
}

}
VCID "85305f08-fe76-4d45-9386-b4e50e026880"
}
Functionality "rSimBoolSignal"
{
Id 1
Name "I00"
Connections
{
}
}
Functionality "rSimBoolSignal"
{
Id 2
Name "I01"
Connections
{
}
}
Functionality "rSimBoolSignal"
{
Id 3
Name "Q00"
Connections
{
}
}
Functionality "rSimBoolSignal"
{
Id 4
Name "Q01"
Connections
{
}
}
Functionality "rPythonScript"
{
Id 5
Name "PythonScript"
Script "from vcScript import *\n
\n
\n\ndef OnSignal( signal ):\n  pass\n\ndef OnRun():\n  
\n  while True:
\n    if g1.Value:
\n      if I[0].Value:
\n        #if Input 00 is True
\n        
\n        #METHOD 1
\n        Q[0].signal(True)
\n        #This output above can go to any component
\n        #This output can activate input ports of components
\n    
\n      if I[01].Value:    
\n        #if Input 01 is True
\n        
\n        #METHOD 2
\n        
\n        #Example 1
\n        #Or you can control any component in layout as below:
\n        behavior = gripper.findBehaviour('Your_Behavior_Name')
\n        #Do something with behavior
\n        
\n        #Example 2
\n        #If component has a servo motor with joint
\n        servo = gripper.findBehaviour('Servo Controller')
\n        servo.moveJoint(1, 30)
\n        \n  delay(0.01)\n\n# Handler
\ncomp = getComponent()
\napp = getApplication() 
\nsim = app.getSimulation()
\n
\n#Get the component you want to control
\ngripper = app.findComponent('Your_Gripper_Name')
\n
\n# Inputs
\nI = [ comp.findBehaviour('I00'),
\n      comp.findBehaviour('I01')]
\n
\n
\n# Outputs
\nQ = [ comp.findBehaviour('Q00'),
\n      comp.findBehaviour('Q01')]
\n
\n
\n# Properties
\ng1 = comp.getProperty('Gripper_1')
\ng2 = comp.getProperty('Gripper_2')
\n"
CompatibilityMode 0
}
VCID 85305f08-fe76-4d45-9386-b4e50e026880
OriginalUri vcid:85305f08-fe76-4d45-9386-b4e50e026880
Revision 3
Location 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 
ActiveSimulationLevel detailed
BOMname  "NewComponent"

BOMdescription  ""

Category  ""

VariableSpace ""
{
  Variable "rTVariable<rBool>"
  {
    Name "Visible"
    Value 1
    Group -1130
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
    }
  }
  Variable "rTVariable<rBool>"
  {
    Name "Gripper_1"
    Value 1
    Group 10
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
      TRANSLATE_USING_GETTEXT
    }
  }
  Variable "rTVariable<rBool>"
  {
    Name "Gripper_2"
    Value 0
    Group 20
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
      TRANSLATE_USING_GETTEXT
    }
  }
}
}
